"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class GelDrugResponseClassification(object):
    """
    This is to avoid a naming conflict.     There is an equivalent change
    in biotools that will mean we can remove this in the next version.
    """

    altered_sensitivity = "altered_sensitivity"
    reduced_sensitivity = "reduced_sensitivity"
    increased_sensitivity = "increased_sensitivity"
    altered_resistance = "altered_resistance"
    increased_resistance = "increased_resistance"
    reduced_resistance = "reduced_resistance"
    increased_risk_of_toxicity = "increased_risk_of_toxicity"
    reduced_risk_of_toxicity = "reduced_risk_of_toxicity"
    altered_toxicity = "altered_toxicity"
    adverse_drug_reaction = "adverse_drug_reaction"
    indication = "indication"
    contraindication = "contraindication"
    dosing_alteration = "dosing_alteration"
    increased_dose = "increased_dose"
    reduced_dose = "reduced_dose"
    increased_monitoring = "increased_monitoring"
    increased_efficacy = "increased_efficacy"
    reduced_efficacy = "reduced_efficacy"
    altered_efficacy = "altered_efficacy"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.0.0"
